where people touched by diabetes help each other.

Good morning. I'm in need of a Medtronic 723 pump with firmware version 2.4A or lower. It needs to be in good working order and have firmware version 2.4A or lower. I am willing to pay for the pump and any infusion set supplies you have. Thanks!

1 Answer
Tacoma, WA
are you still looking?

Submit